#!/bin/bash

export PATH;

# On load le fichier de config
CONFFILE="./linkchecker.config"
[ -f $CONFFILE ] && source $CONFFILE

# Si on a un fichier en parametre, on check ce fichier
if [ $# -eq 1 ]
then
    urls_list=$1
else # Sinon on travail sur la BDD
# On genere la liste des url
echo "SELECT " $mysql_field " FROM " $mysql_table " WHERE "$mysql_field"!=''" | mysql -h $mysql_host -u $mysql_user -p''$mysql_password'' -N -D $mysql_bdd > urls_list
fi

# Ensuite pour chaque url on va lancer linklint
linklint @@urls_list -quiet -error -doc report

# On efface le fichier  urls_list si on
# a pas passe le fichier en parametre
if [ $# -ne 1 ]
then
rm urls_list
fi

# On recupere le fichier urlfail.html SI il existe
if [ -e "report/urlfail.html" ]
then
    # On souhaite un rapport par email
    if ${report_by_email:=true} ; then
    cat ./report/urlfail.html | mail -a"Content-Type: text/html;" -s "Linkchecker Report" $mail_dest
    else # Pas de rapport par mail, mais copie du fichier dans un rep
	cp ./report/urlfail.html $html_report_path
    fi
fi

# C'est termine, alors on delete le directory "report"
rm -rf ./report
